#define CONFIGURE_INIT
#include "system.h"
#include <signal.h>
#include <stdlib.h>
#include <stdio.h>
#include <sched.h>
#include <stdlib.h>
#include "returncode.h"



void printf_policy(int policy)
{
 if(policy==SCHED_FIFO)
  printf("Id %x ; Policy=SCHED_FIFO\n", pthread_self());
 if(policy==SCHED_RR)
  printf("Id %x ; Policy=SCHED_RR\n", pthread_self());
 if(policy==SCHED_OTHER)
  printf("Id %x ; Policy=SCHED_OTHER\n", pthread_self());
};

void printf_priority(struct sched_param param)
{
 printf("Id %x ; Priority=%d\n", pthread_self(), param.sched_priority);       
};


void *POSIX_Init( void *argument)
{

  struct timespec rr;
  struct sched_param param;
  int policy;
  int status;


  /* Display RTEMS scheduling configuration */

  printf("Max priority for SCHED_FIFO = %i\n", 
	sched_get_priority_max(SCHED_FIFO));
  printf("Min priority for SCHED_FIFO = %i\n", 
	sched_get_priority_min(SCHED_FIFO));
  printf("Max priority for SCHED_RR = %i\n", 
	sched_get_priority_max(SCHED_RR));
  printf("Min priority for SCHED_RR = %i\n", 
	sched_get_priority_min(SCHED_RR));
  printf("Max priority for SCHED_OTHER = %i\n", 
	sched_get_priority_max(SCHED_OTHER));
  printf("Min priority for SCHED_OTHER = %i\n", 
	sched_get_priority_min(SCHED_OTHER));

  sched_rr_get_interval (0, &rr);
  printf("RR quantum :  %d second and %d nanosecond\n", 
	(int)rr.tv_sec, (int)rr.tv_nsec);


  /* Display POSIX_Init thread scheduling parameters */

  status=pthread_getschedparam(pthread_self(), &policy, &param);
  if (status!=0)
     returncode("pthread_getschedparam 1", status);
  printf_policy(policy);
  printf_priority(param);


  exit(0);

  return NULL; 
}
